<?php
function Zip($source, $destination=null) {
    if (!extension_loaded('zip') || !file_exists($source)) {
        return false;
    }

    $zip = new ZipArchive();
    if(!$destination) {
	$destination=$source.".zip";
    }
    if (!$zip->open($destination, ZIPARCHIVE::CREATE)) {
        return false;
    }

    $source = str_replace('\\', '/', realpath($source));

    if (is_dir($source) === true)
    {
        $files = new RecursiveIteratorIterator(new RecursiveDirectoryIterator($source), RecursiveIteratorIterator::SELF_FIRST);

        foreach ($files as $file)
        {
            $file = str_replace('\\', '/', $file);
            if( in_array(substr($file, strrpos($file, '/')+1), array('.', '..')) )
                continue;

            $file = realpath($file);
	    if (is_file($file) === true) {
                $zip->addFile($file,str_replace($source . '/', '', $file));
            }
        }
    } else if (is_file($source) === true) {
        $zip->addFile($source,basename($source));
    }
    return $zip->close();
}
function unZip($source,$destination=null) {
	if(!$destination) {
		$destination="./";
	}
	if ($zip->open($source) === TRUE) {
		$zip->extractTo($destination);
		$zip->close();
	} else {
		return false;
	}
}
