<?php
session_start();
header("Content-type:text/css");
?>
html {
	height:100%;
}
body {
	height:100%;
	margin:0;
	font-family:Verdana,Arial,Sans,serif;
	overflow:hidden;
	cursor:url("../Cursors/Default/Default.cur"),auto;
}
.screenbackground {
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
}
.msgcontainer {
	background:black;
	color:white;
	opacity:0.9;
	color:white;
	border-radius:10px;
	box-shadow:0 0 10px black;
	padding:5px;
	width:300px;
	position:relative;
	margin:2px;
	top:25px;
	z-index:2000;
}
#desktop {
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	transition-property: all;
	transition-duration: 0.5s;
	-moz-transition-property: all;
	-moz-transition-duration: 0.5s;
	-webkit-transition-property: all;
	-webkit-transition-duration: 0.5s;
	-o-transition-property: all;
	-o-transition-duration: 0.5s;
}
.workSpaceSelector {
	background:gray;
	width:20px;
	height:15px;
	display:inline-block;
	margin:1px;
	border:1px solid black;
	border-radius:2px;
}
#toolbar {
	background:white url(Default/toolbar.png);
	background-position:center center;
	background-repeat:repeat-x;
	position:absolute;
	top:0;
	left:0;
	height:24px;
	width:100%;
	box-shadow:0 0 10px black;
	z-index:1000;
}
#toolbar div {
	display:inline-block;
}
#menu, #menu ul /* Liste */     
{
        padding : 0; /* pas de marge intérieure */
        margin : 0; /* ni extérieure */
        list-style : none; /* on supprime le style par défaut de la liste */
        line-height : 21px; /* on définit une hauteur pour chaque élément */
}
#menu /* Ensemble du menu */
{
        font-weight : bold; /* on met le texte en gras */
}

#menu a /* Contenu des listes */
{
        display : block; /* on change le type d'élément, les liens deviennent des balises de type block */
        padding : 1px; /* aucune marge intérieure */
        text-decoration : none; /* on supprime le style par défaut des liens (la plupart du temps = souligné) */
	border-radius:2px;
	border:1px solid transparent;
	cursor:url("../Cursors/Default/Default.cur"),auto;
}

#menu li /* Elements des listes */      
{ 
        float : left;
	z-index:2000;
	margin-right:5px;
}
#menu a:hover {
	background:#3383C2;
	border:1px solid black;
}

/* IE ne reconnaissant pas le sélecteur ">" */
html>body #menu li
{
        border-right: 1px solid transparent ; /* on met une bordure transparente à droite de chaque élément */
}

#menu li ul /* Sous-listes */
{ 
        position: absolute; /* Position absolue */
        width: 244px; /* Largeur des sous-listes */
	background:#e3e3e3;
	padding:5px;
}
#menu ul {
-moz-box-shadow:0 0 1em;
box-shadow:0 0 1em;
border-radius:5px;
-moz-border-radius:5px;
}
html>body #menu li ul li                
{
        border-top : 1px solid transparent; /* on met une bordure transparente en haut de chaque élément */
	width:100%;
}

#menu li ul ul 
{
        margin    : -22px 0 0 244px ; /* On décale les sous-sous-listes pour qu'elles ne soient pas au dessus des sous-listes */     
}

/* IE ne reconnaissant pas le sélecteur ">" ... je me répète ;-) */
html>body #menu li ul ul                
{
        border-left     : 1px solid transparent ; /* on met une bordure transparente sur la gauche de chaque élément */
}
input {
	border:1px solid black;
	margin:2px;
	background:white;
	border-radius:10px;
	text-align:center;
	cursor:url("../Cursors/Default/Text.cur"),auto;
	transition-property: all;
	transition-duration: 0.5s;
	-moz-transition-property: all;
	-moz-transition-duration: 0.5s;
	-webkit-transition-property: all;
	-webkit-transition-duration: 0.5s;
	-o-transition-property: all;
	-o-transition-duration: 0.5s;
}
option {
	border-radius:10px;
}
option:hover {
	background:blue;
	color:white;
}
select {
	cursor:url("../Cursors/Default/Default.cur"),auto;
	width:158px;
	height:20px;
	background:white url("Default/fleche_bas.gif") no-repeat 120px center;
	border:0;
}
.select {
	display:inline-block;
	overflow:hidden;
	width:140px;
	border-radius:10px;
	border:1px solid black;
	height:20px;
}
.select:hover, input:hover, button:hover, input:focus, button:focus {
	border-color:blue;
}
input[type="button"], input[type="submit"], button {
	background:white url(Default/button.png);
	background-position:center center;
	background-repeat:repeat-x;
	border-radius:10px;
	text-align:center;
	border:1px solid black;
	margin:2px;
	cursor:url("../Cursors/Default/Default.cur"),auto;
	transition-property: all;
	transition-duration: 0.5s;
	-moz-transition-property: all;
	-moz-transition-duration: 0.5s;
	-webkit-transition-property: all;
	-webkit-transition-duration: 0.5s;
	-o-transition-property: all;
	-o-transition-duration: 0.5s;
}
input[type="button"]:hover, input[type="submit"]:hover, button:hover, input[type="button"]:focus, input[type="submit"]:focus, button:focus {
	background:white url(Default/buttontouch.png);
	border-color:blue;
}
a {
	text-decoration:none;
	color:black;
}
a:hover {
	color:white;
}
#dockcontainer {
	position:absolute;
	bottom:0;
	height:50px;
	width:100%;
	text-align:center;
	z-index:1001;
}
#dock {
	display:inline-block;
	height:50px;
	text-align:center;
	background:white url(Default/dock.png);
	background-position:center center;
	background-repeat:repeat-x;
	box-shadow:0 0 10px black;
	padding-left:2px;
	padding-right:2px;
	white-space:nowrap;
	max-height:50px;
}
#dock .icon {
	display: inline-block;
	margin:1px;
	margin-top:0;
	margin-left:5px;
	margin-right:5px;
	transition-property: all;
	transition-duration: 0.5s;
	-moz-transition-property: all;
	-moz-transition-duration: 0.5s;
	-webkit-transition-property: all;
	-webkit-transition-duration: 0.5s;
	-o-transition-property: all;
	-o-transition-duration: 0.5s;
	border-radius:5px;
	height:45px;
	width:45px;
	padding:2px;
}
#dock .icon:hover {
	margin:2px;
	margin-top:-40px;
	height:65px;
	width:65px;
	border:1px solid #e3e3e3;
	box-shadow:0 0 10px black;
	background:url(Default/dockicon.png);
}
.distWindow {
	border:0;
	margin:0;
	width:100%;
	height:100%;
	cursor:url("../Cursors/Default/Default.cur"),auto;
}
#dock .icon img {
	height:40px;
	width:40px;
	transition-property: all;
	transition-duration: 0.5s;
	-moz-transition-property: all;
	-moz-transition-duration: 0.5s;
	-webkit-transition-property: all;
	-webkit-transition-duration: 0.5s;
	-o-transition-property: all;
	-o-transition-duration: 0.5s;
}
#dock .icon:hover img {
	height:60px;
	width:60px;
}
#dock .icon span {
        font-weight : bold; /* on met le texte en gras */
	border-radius:5px;
	-webkit-border-radius:5px;
	-moz-border-radius:5px;
	-o-border-radius:5px;
	background:black;
	color:white;
	padding:2px;
	position:relative;
	top:-70px;
	left:-50px;
	opacity:0;
	-o-opacity:0;
	-moz-opacity:0;
	-webkit-opacity:0;
	transition-property: all;
	transition-duration: 0.5s;
	-moz-transition-property: all;
	-moz-transition-duration: 0.5s;
	-webkit-transition-property: all;
	-webkit-transition-duration: 0.5s;
	-o-transition-property: all;
	-o-transition-duration: 0.5s;
}
#dock .icon:hover span {
	visibility:visible;
	opacity:1;
	-o-opacity:1;
	-moz-opacity:1;
	-webkit-opacity:1;
}
#rightbar {
	float:right;
        font-weight : bold;
}
#windows {
	position:absolute;
	top:24px;
	bottom:78px;
	width:200%;
	transition-property: all;
	transition-duration: 0.5s;
	-moz-transition-property: all;
	-moz-transition-duration: 0.5s;
	-webkit-transition-property: all;
	-webkit-transition-duration: 0.5s;
	-o-transition-property: all;
	-o-transition-duration: 0.5s;
}
.fenetre {
	position: absolute;
	border-radius:5px 5px 0 0;
	-o-border-radius:5px 5px 0 0;
	-moz-border-radius:5px 5px 0 0;
	-webkit-border-radius:5px 5px 0 0;
	box-shadow:0 0 10px black, 0 36px 10px black;
	background-color:#a8a8a8;
}
.haut {
        height: 28px;
}
.milieu {
        height: 100%;
	background-color:#a8a8a8;
}
.bas {
        height: 4px;
	background-color:#a8a8a8;
}
.haut_gauche {
        width: 4px;
        height: 100%;
        float: left;
	cursor:nw-resize;
	cursor:url("../Cursors/Default/nw-resize.cur"),nw-resize;
}
.haut_droite {
        width: 4px;
        height: 100%;
        float: right;
	cursor:ne-resize;
	cursor:url("../Cursors/Default/ne-resize.cur"),ne-resize;
}
.haut_centre {
        height:100%;
        margin-left: 4px;
        margin-right: 4px;
	font-weight:bold;
	overflow:hidden;
}
.title {
	text-align:center;
	width:100%;
	margin-top:-26px;
	margin-left:50px;
	white-space:nowrap;
	overflow:hidden;
}
.haut_haut {
	height:4px;
	margin-left:4px;
	margin-right:4px;
	cursor:n-resize;
	cursor:url("../Cursors/Default/n-resize.cur"),n-resize;
}
.milieu_gauche {
        width: 4px;
        height: 100%;
        float: left;
	cursor:w-resize;
	cursor:url("../Cursors/Default/w-resize.cur"),w-resize;
}
.milieu_droite {
        width: 4px;
        height: 100%;
        float: right;
	cursor:e-resize;
	cursor:url("../Cursors/Default/e-resize.cur"),e-resize;
}
.milieu_centre {
	height:100%;
	overflow:auto;
	padding:0;
        background-color: #ffffff;
        margin-left: 4px;
        margin-right: 4px;
}

.bas_gauche {
        width: 4px;
        height: 100%;
        float: left;
	cursor:sw-resize;
	cursor:url("../Cursors/Default/sw-resize.cur"),sw-resize;
}
.bas_droite {
        width: 4px;
        height: 100%;
        float: right;
	cursor:se-resize;
	cursor:url("../Cursors/Default/se-resize.cur"),se-resize;
}
.bas_centre {
        height: 100%;
        margin-left: 4px;
        margin-right: 4px;
	cursor:s-resize;
	cursor:url("../Cursors/Default/s-resize.cur"),s-resize;
}
table
{
    border-collapse: collapse; /* Les bordures du tableau seront collées (plus joli) */
}
td, th
{
    border: 1px solid black;
}
